<?php
/**
 * Qii 名称空间配置
 * @author zjh
 * @version 1.3
 */
return array(
    //设置是否使用名称空间
    'setUseNamespace' => array(
        array('Qii\\', true),
        array('Qii\Action', true),
        array('Qii\Autoloader', true),
        array('Qii\Bootstrap', true),
        array('Qii\Config', true),
        array('Qii\Contracts', true),
        array('Qii\Controller', true),
        array('Qii\Exceptions', true),
        array('Qii\Language', true),
        array('Qii\Library', true),
        array('Qii\Logger', true),
        array('Qii\Plugin', true),
        array('Qii\Request', false),
        array('Qii\Router', true),
        array('Qii\View', true),
        array('WhichBrowser', true),
        array('BigPipe', true),
        array('Smarty\\', false),
        array('Smarty\\Internal', false),
    ),
    //设置指定名称空间的文件路径，如按照namespace的不用指定
    'addNamespace' => array(
        array('Qii\\', QII_DIR . DS),
        array('Qii\Action', QII_DIR . DS . 'Action'),
        array('Qii\Autoloader', QII_DIR . DS . 'Autoloader'),
        array('Qii\Controller', QII_DIR . DS . 'Controller'),
        array('Qii\Bootstrap', QII_DIR . DS . 'Bootstrap'),
        array('Qii\Config', QII_DIR . DS . 'Config'),
        array('Qii\Contracts', QII_DIR . DS . 'Contracts'),
        array('Qii\Exceptions', QII_DIR . DS . 'Exceptions'),
        array('Qii\Language', QII_DIR . DS . 'Language'),
        array('Qii\Library', QII_DIR . DS . 'Library'),
        array('Qii\Logger', QII_DIR . DS . 'Logger'),
        array('Qii\Plugin', QII_DIR . DS . 'Plugin'),
        array('Qii\Request', QII_DIR . DS . 'Request'),
        array('Qii\Response', QII_DIR . DS . 'Response'),
        array('Qii\Router', QII_DIR . DS . 'Router'),
        array('Qii\View', QII_DIR . DS . 'View'),
        array('Smarty', QII_DIR . DS . 'View' . DS . 'smarty'),
        array('Smarty', QII_DIR . DS . 'View' . DS . 'smarty' . DS . 'sysplugins'),
        array('WhichBrowser', QII_DIR . DS . 'Library'. DS . 'Third'. DS . 'WhichBrowser'),
        array('BigPipe', QII_DIR . DS . 'Library'. DS .'BigPipe'. DS .'BigPipe'),
    )
);
